=== debian/changelog ===
stegfs (2015.08.1-1) unstable; urgency=low

  * Release of version 2015.08.1 - see README for details

 -- Ashley Anderson <amanderson@albinoloverats.net>  Tue,  5 Jan 2009 00:00:00 +0000
