=== debian/control ===
Source: stegfs
Section: Accessories
Priority: extra
Maintainer: Ashley Anderson <amanderson@albinoloverats.net>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: stegfs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: stegfs is a FUSE based file system which provides absolute
 security. Using encryption to secure files, and the art of
 steganography to hide them, stegfs aims to ensure that the existence of
 such files isn't guaranteed. Implemented as a FUSE based file system
 and using the GNU crypto library, libgcrypt, to provide the
 cryptographic hash and symmetric block cipher functions, stegfs is at
 the cutting edge of secure file system technology.
